Skip to main content
POST
Create pod (legacy)

Authorizations

Authorization
string
header
required

Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).

Headers

Idempotency-Key
string
required

Client-chosen key of 8–180 characters [A-Za-z0-9:_-]. Replaying the same key with the same body returns the original operation; a different body with the same key fails with 409 operation_conflict.

Required string length: 8 - 180
Pattern: ^[A-Za-z0-9:_-]+$

Body

application/json
name
string
required
Required string length: 1 - 120
containerDiskGb
integer
required
Required range: 1 <= x <= 1024
dataCenterId
string
required
Maximum string length: 80
ephemeralDiskAcknowledged
enum<boolean>
required
Available options:
true
quoteId
string
required

Signed quote token from POST /v1/gpu/quotes.

computeType
enum<string>
default:GPU
Available options:
GPU,
CPU
gpuTypeId
string
Required string length: 1 - 160
gpuCount
integer
Required range: 1 <= x <= 16
cpuTypeId
string
Required string length: 1 - 160
vcpuCount
integer
Required range: 2 <= x <= 256
cloud
enum<string>
default:SECURE
Available options:
SECURE,
COMMUNITY
imageName
string
Required string length: 1 - 500
Pattern: ^(?![A-Za-z][A-Za-z0-9+.-]*:\/\/)[A-Za-z0-9][A-Za-z0-9./_:@-]*$
templateId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
runpodTemplateId
string
Required string length: 1 - 128
templateStorageAcknowledged
boolean
default:false
networkVolumeId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
volumeMountPath
string
default:/workspace
Maximum string length: 120
Pattern: ^\/[A-Za-z0-9_-]+(?:\/[A-Za-z0-9_-]+)*\/?$
registryCredentialId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
sshKeyIds
string<uuid>[]
Maximum array length: 20
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
env
object
ports
dockerStartCmd
string[]
Maximum array length: 32
Maximum string length: 4096
publicPortsAcknowledged
boolean
default:false

Response

Accepted. Poll operationId for completion.

Body of every 202 Accepted Compute mutation.

accepted
enum<boolean>
required
Available options:
true
resourceId
string<uuid>
required

ID of the resource created or mutated.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
resourceType
enum<string>
required
Available options:
pod,
volume,
cluster,
template,
registry,
ssh_key
operationId
string<uuid>
required

Durable operation record. Poll GET /v1/gpu/operations/{id} until a terminal status.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
status
enum<string>
required
Available options:
accepted